#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import locale
locale.setlocale(locale.LC_ALL, '')

from tuikit import *


class MyApplication(Application):
    def __init__(self):
        Application.__init__(self)
        self.top.connect('keypress', self.globalkeypress)

        model = TreeModel()
        model.add('/',  ['a', 'b'])
        model.add('/a', ['c', 'd'])
        model.add((0,1), ['e', 'f'])
        model.add(['a', 'd', 'e'], 'g')
        model.add('/a/d/f', 'h')

        for i in range(100):
            model.add('/b', ['x'+str(i)])

        view = TreeView(model)
        #view.collapse('/a/d')

        scroll = ScrollView()
        scroll.add(view)
        self.top.add(scroll, expand=True, fill=True)

        vert = VerticalLayout()
        self.top.layout(vert)

    def globalkeypress(self, eo, keyname, char):
        if keyname == 'escape':
            self.terminate()


if __name__ == '__main__':
    app = MyApplication()
    app.start()

